Bug 2262241 (CVE-2024-1151) - CVE-2024-1151 kernel: stack overflow problem in Open vSwitch kernel module leading to DoS
Summary: CVE-2024-1151 kernel: stack overflow problem in Open vSwitch kernel module le...
Keywords:
Status: NEW
Alias: CVE-2024-1151
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2263738
Blocks: 2262238
TreeView+ depends on / blocked
 
Reported: 2024-02-01 11:28 UTC by Rohit Keshri
Modified: 2024-02-18 16:49 UTC (History)
53 users (show)

Fixed In Version: kernel 6.8-rc5
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was reported in the Open vSwitch sub-component in the Linux Kernel. The flaw occurs when a recursive operation of code push recursively calls into the code block. The OVS module does not validate the stack depth, pushing too many frames and causing a stack overflow. As a result, this can lead to a crash or other related issues.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Rohit Keshri 2024-02-01 11:28:13 UTC
A flaw in the Linux Kernel found in the Open vSwitch Kernel module.

The Netlink copy code in the ovs kernel module attempts to make an in-kernel copy of the actions required. That means that when recursive operations, like sample(), clone(), dec_ttl(), etc include additional actions, the code pushes a new stack frame and recursively calls into the code block.

Unfortunately, OVS module doesn't validate the stack depth, and will push too many frames causing a stack overflow which can lead to crash.

Reference:
https://lore.kernel.org/all/20240207132416.1488485-1-aconole@redhat.com/

Comment 7 Alex 2024-02-11 14:14:38 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2263738]

Comment 10 Salvatore Bonaccorso 2024-02-11 21:13:44 UTC
Is the "Fixed In Version" metadata really correct? The submitted change does not seem to have hit Linux tree yet and not in 6.8-rc4.

Comment 12 Justin M. Forbes 2024-02-15 19:33:19 UTC
(In reply to Salvatore Bonaccorso from comment #10)
> Is the "Fixed In Version" metadata really correct? The submitted change does
> not seem to have hit Linux tree yet and not in 6.8-rc4.

Looks like it did not make rc4, it is still in linux-next. Hopefully rc5?

Comment 13 Alex 2024-02-18 09:55:40 UTC
In reply to comment #12:
> (In reply to Salvatore Bonaccorso from comment #10)
> > Is the "Fixed In Version" metadata really correct? The submitted change does
> > not seem to have hit Linux tree yet and not in 6.8-rc4.
> 
> Looks like it did not make rc4, it is still in linux-next. Hopefully rc5?

Updated to kernel 6.8-rc5. Still need to check later if going to be included to rc5.


Note You need to log in before you can comment on or make changes to this bug.